code            segment byte public
                assume  cs:code, ds:code
		org	100h
showcpu         proc    far

start:          jmp     initialize
include         \nxdos\src\toolbox.asm
initialize:
                call debugregisters
                _newline
                _print cpuis, 1
                call checkcpu
                call putnum
                _echo '8'
                _echo '6'
                _newline
                _pause
exitptr:        call dosexit
                int 20h      
showcpu         endp
cpuis db 'CPU is a ',0
code            ends

ProgramEnd      EQU $-01h

		end	start
